package com.huimv.manager.modular.controller;

import cn.dustlight.captcha.annotations.CodeValue;
import cn.dustlight.captcha.annotations.VerifyCode;
import com.huimv.manager.modular.entity.param.LoginParam;
import com.huimv.manager.modular.service.MobileUserService;
import com.huimv.manager.result.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author yinhao
 * @Date 2021/4/19 12:18
 * @Description
 */
@Slf4j
@CrossOrigin
@RestController
public class MobileUserLoginController {

    @Autowired
    private MobileUserService mobileUserService;

    @PostMapping("/login")
    @VerifyCode
    public R login(LoginParam loginParam,@CodeValue String code) {
        log.info(code);
        return mobileUserService.login(loginParam,code);
    }
}
