package com.huimv.manager.modular.service;

import com.huimv.manager.modular.entity.MobileUser;
import com.huimv.manager.modular.entity.param.LoginParam;
import com.huimv.manager.result.R;

/**
 * @Author yinhao
 * @Date 2021/4/19 18:10
 * @Description
 */
public interface MobileUserService {
    /**
     * 登录
     * @param loginParam
     * @param code
     * @return
     */
    R login(LoginParam loginParam, String code);

    /**
     * 根据id查询用户
     * @param id
     * @return
     */
    MobileUser findById(Integer id);
}
